version: "3.7"
services:

  ldv-spec-db:
    image: postgres:14
    container_name: ldv-spec-postgres
    expose:
      - 5433
    ports:
      - 5433:5432
    env_file:
      - $HOME/shared/ldvspec.env
    environment:
      POSTGRES_PASSWORD: "secret"
      POSTGRES_USER: "postgres"
      POSTGRES_DB: "ldv-spec-db"
    volumes:
      - ldv-spec-db:/var/lib/postgresql/data
    restart: always

volumes:
  ldv-spec-db: